curl -X POST https://api.crewship.dev/v1/tables/tbl_abc123xyz789/rows \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '[
{"company": "Acme", "score": 92, "status": "qualified"},
{"company": "Beta", "score": 70, "status": "new"}
]'
{
"rows": [
{
"id": "row_abc123xyz789",
"company": "Acme",
"score": 92,
"status": "qualified",
"_meta": {
"created_at": "2024-01-15T10:35:00Z",
"created_by": "api:Production Key",
"updated_at": "2024-01-15T10:35:00Z",
"updated_by": "api:Production Key"
}
},
{
"id": "row_def456uvw000",
"company": "Beta",
"score": 70,
"status": "new",
"_meta": {
"created_at": "2024-01-15T10:35:01Z",
"created_by": "api:Production Key",
"updated_at": "2024-01-15T10:35:01Z",
"updated_by": "api:Production Key"
}
}
]
}
{
"error": {
"message": "Maximum 100 rows per insert"
}
}
Tables
Insert Rows
Insert one or more rows into a table
POST
/
v1
/
tables
/
{id}
/
rows
curl -X POST https://api.crewship.dev/v1/tables/tbl_abc123xyz789/rows \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '[
{"company": "Acme", "score": 92, "status": "qualified"},
{"company": "Beta", "score": 70, "status": "new"}
]'
{
"rows": [
{
"id": "row_abc123xyz789",
"company": "Acme",
"score": 92,
"status": "qualified",
"_meta": {
"created_at": "2024-01-15T10:35:00Z",
"created_by": "api:Production Key",
"updated_at": "2024-01-15T10:35:00Z",
"updated_by": "api:Production Key"
}
},
{
"id": "row_def456uvw000",
"company": "Beta",
"score": 70,
"status": "new",
"_meta": {
"created_at": "2024-01-15T10:35:01Z",
"created_by": "api:Production Key",
"updated_at": "2024-01-15T10:35:01Z",
"updated_by": "api:Production Key"
}
}
]
}
{
"error": {
"message": "Maximum 100 rows per insert"
}
}
Path Parameters
string
required
Table ID
Request
Provide either:- A single row object, or
- An array of row objects (max 100 rows)
Response
For single-row inserts, the API returns one row object. For multi-row inserts, the API returns:array
Inserted row objects
string
Row ID (e.g.,
row_abc123xyz789)object
Row metadata (
created_at, created_by, updated_at, updated_by)curl -X POST https://api.crewship.dev/v1/tables/tbl_abc123xyz789/rows \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '[
{"company": "Acme", "score": 92, "status": "qualified"},
{"company": "Beta", "score": 70, "status": "new"}
]'
{
"rows": [
{
"id": "row_abc123xyz789",
"company": "Acme",
"score": 92,
"status": "qualified",
"_meta": {
"created_at": "2024-01-15T10:35:00Z",
"created_by": "api:Production Key",
"updated_at": "2024-01-15T10:35:00Z",
"updated_by": "api:Production Key"
}
},
{
"id": "row_def456uvw000",
"company": "Beta",
"score": 70,
"status": "new",
"_meta": {
"created_at": "2024-01-15T10:35:01Z",
"created_by": "api:Production Key",
"updated_at": "2024-01-15T10:35:01Z",
"updated_by": "api:Production Key"
}
}
]
}
{
"error": {
"message": "Maximum 100 rows per insert"
}
}